CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

停靠方法 (ActiveX)

2023-1-4 10:42| 发布者: admin| 查看: 633| 评论: 0|来自: AutoCAD

摘要: 将工具栏停靠到所属框架窗口。

将工具栏停靠到所属框架窗口。

支持的平台:仅窗口

签名

工 务 局:

object.Dock Side
对象

类型:工具栏

此方法适用的对象。

访问:仅输入

类型:枚举AcToolbarDockStatus

要停靠的工具栏一侧。

  • acToolbarDockTop
  • acToolbarDockBottom
  • acToolbarDockLeft
  • acToolbarDockRight

返回值(RetVal)

无返回值。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Dock()
    ' This example creates a new toolbar called TestToolbar and inserts three
    ' buttons into it. The toolbar is then displayed as a floating toolbar,
    ' and then as a docked toolbar.
    ' To remove the toolbar after execution of this macro, use the Customize Menu
    ' option from the Tools menu.
    
    Dim currMenuGroup As acadMenuGroup
    Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0)
    
    ' Create the new toolbar
    Dim newToolBar As AcadToolbar
    Set newToolBar = currMenuGroup.Toolbars.Add("TestToolbar")
    
    ' Add three buttons to the new toolbar.
    ' All three buttons will have the same macro attached.
    Dim newButton1 As AcadToolbarItem
    Dim newButton2 As AcadToolbarItem
    Dim newButton3 As AcadToolbarItem
    Dim openMacro As String
    
    ' Assign the macro string the VB equivalent of "ESC ESC _open "
    openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32)
    
    Set newButton1 = newToolBar.AddToolbarButton("", "NewButton1", "Open a file.", openMacro)
    Set newButton2 = newToolBar.AddToolbarButton("", "NewButton2", "Open a file.", openMacro)
    Set newButton3 = newToolBar.AddToolbarButton("", "NewButton3", "Open a file.", openMacro)
    
    ' Display the toolbar
    newToolBar.Visible = True
    
    ' Dock the toolbar to the left of the screen.
    newToolBar.Dock acToolbarDockLeft
    MsgBox "The toolbar is docked to the left."
    
    ' Dock the toolbar to the right of the screen.
    newToolBar.Dock acToolbarDockRight
    MsgBox "The toolbar is docked to the right."
    
    ' Dock the toolbar at the top of the screen.
    newToolBar.Dock acToolbarDockTop
    MsgBox "The toolbar is docked at the top."
    
    ' Dock the toolbar at the bottom of the screen.
    newToolBar.Dock acToolbarDockBottom
    MsgBox "The toolbar is docked at the bottom."
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Dock()
    ;; This example creates a new toolbar called TestToolbar and inserts three
    ;; buttons into it. The toolbar is then displayed as a floating toolbar,
    ;; and then as a docked toolbar.
    ;; To remove the toolbar after execution of this macro, use the Customize Menu
    ;; option from the Tools menu.
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))
    
    ;; Create the new toolbar
    (setq newToolBar (vla-Add (vla-get-Toolbars currMenuGroup) "TestToolbar"))
    
    ;; Add three buttons to the new toolbar.
    ;; All three buttons will have the same macro attached.
     
    ;; Assign the macro string the VB equivalent of "ESC ESC _open "
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    
    (setq newButton1 (vla-AddToolbarButton newToolBar "" "NewButton1" "Open a file." openMacro))
    (setq newButton2 (vla-AddToolbarButton newToolBar "" "NewButton2" "Open a file." openMacro))
    (setq newButton3 (vla-AddToolbarButton newToolBar "" "NewButton3" "Open a file." openMacro))
    
    ;; Display the toolbar
    (vla-put-Visible newToolBar :vlax-true)
    
    ;; Dock the toolbar to the left of the screen.
    (vla-Dock newToolBar acToolbarDockLeft)
    (alert "The toolbar is docked to the left.")
    
    ;; Dock the toolbar to the right of the screen.
    (vla-Dock newToolBar acToolbarDockRight)
    (alert "The toolbar is docked to the right.")
    
    ;; Dock the toolbar at the top of the screen.
    (vla-Dock newToolBar acToolbarDockTop)
    (alert "The toolbar is docked at the top.")
    
    ;; Dock the toolbar at the bottom of the screen.
    (vla-Dock newToolBar acToolbarDockBottom)
    (alert "The toolbar is docked at the bottom.")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 12:00

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部